Subject: Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root

From: Stefan Kangas <[email-masked]>
Date: Wed, 1 Jan 2025 20:00:51 -0600

Michael Heerdegen <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> I tried to reproduce, and I've applied
>>
>> # make bootstrap
>> # sudo make install
>> # ll lisp/net/*loaddefs*
>> -rw-rw----+ 1 albinus albinus 110234 Nov 17 17:37 lisp/net/tramp-loaddefs.el
>> -rw-r--r--+ 1 albinus albinus 122088 Nov 17 17:58 lisp/net/tramp-loaddefs.elc
>>
>> This is inside the git repo. No idea, what happened for you.
>
> I also can't reproduce this now.
>
>
>> You have shown
>>
>> |  -rw-rw-r--  1 micha micha 108K Nov 15 17:01 tramp-loaddefs.el
>> |  -rw-r--r--  1 root  root  120K Nov 15 17:01 tramp-loaddefs.elc
>>
>> Do you know (from bash history or whatever), which command did run at
>> that time? Perhaps also check bash history of user root?
>
> I didn't find anything obvious apart from the daily make -j4 plus sudo
> make install.  I'm quite sure I did not use a root shell or root Emacs
> two days ago.
>
> I try to recover everything I can find in my memory.  If I don't find
> something, let's assume a pilot error, although I have no idea how I
> could have caused this by myself.

Did you make any progress here, or should the bug be closed?